bundle --binstubs exec

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

bundle --binstubs exec

vikas.g.ak
Hi,

getting following error message while trying to build from vagrant github source.please assist.



/usr/local/rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems.rb:259:in `find_spec_for_exe': can't find gem vagrant ([">= 0.a"]) with executable bundle (Gem::GemNotFoundException)
        from /usr/local/rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems.rb:278:in `activate_bin_path'
        from /usr/local/rvm/gems/ruby-2.4.1/bin/bundle:22:in `<main>'


Regards,
Vikas

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/ad268819-a04e-4bc4-ae7e-423786eacfc7%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: bundle --binstubs exec

Alvaro Miranda Aguilera
hello

whats your host os

what instruction are you using

can you share the list of commands you typed before.

Thanks
alvaro

On Thu, Nov 2, 2017 at 9:21 AM, <[hidden email]> wrote:
Hi,

getting following error message while trying to build from vagrant github source.please assist.



/usr/local/rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems.rb:259:in `find_spec_for_exe': can't find gem vagrant ([">= 0.a"]) with executable bundle (Gem::GemNotFoundException)
        from /usr/local/rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems.rb:278:in `activate_bin_path'
        from /usr/local/rvm/gems/ruby-2.4.1/bin/bundle:22:in `<main>'


Regards,
Vikas

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/ad268819-a04e-4bc4-ae7e-423786eacfc7%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.



--
Alvaro

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/CAHqq0exjysaCsrrS%3DoELi-mdm%2B0s8MWn7dPUPdVC7wgijzA4%3DQ%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: bundle --binstubs exec

vikas.g.ak
In reply to this post by vikas.g.ak
Hi,

Please find the details below,

centos7 , 3.10.0-514.16.1.el7.x86_64

following the below url

https://www.vagrantup.com/docs/installation/source.html

Regards,
Vikas

On Thursday, 2 November 2017 13:51:33 UTC+5:30, [hidden email] wrote:
Hi,

getting following error message while trying to build from vagrant github source.please assist.



/usr/local/rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems.rb:259:in `find_spec_for_exe': can't find gem vagrant ([">= 0.a"]) with executable bundle (Gem::GemNotFoundException)
        from /usr/local/rvm/rubies/ruby-2.4.1/lib/ruby/site_ruby/2.4.0/rubygems.rb:278:in `activate_bin_path'
        from /usr/local/rvm/gems/ruby-2.4.1/bin/bundle:22:in `<main>'


Regards,
Vikas

--
This mailing list is governed under the HashiCorp Community Guidelines - https://www.hashicorp.com/community-guidelines.html. Behavior in violation of those guidelines may result in your removal from this mailing list.
 
GitHub Issues: https://github.com/mitchellh/vagrant/issues
IRC: #vagrant on Freenode
---
You received this message because you are subscribed to the Google Groups "Vagrant" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/vagrant-up/94a753a4-6521-42d0-9b16-d4c4fabf2eba%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.